
package ws.sivale.com.mx.exposition.servicios.tarjeta;

import ws.sivale.com.mx.messages.request.tarjeta.RequestBase;
import ws.sivale.com.mx.messages.request.tarjeta.RequestEstado;
import ws.sivale.com.mx.messages.request.tarjeta.RequestMovimientos;
import ws.sivale.com.mx.messages.request.tarjeta.RequestValidarCodigo;
import ws.sivale.com.mx.messages.response.tarjeta.ResponseDatos;
import ws.sivale.com.mx.messages.response.tarjeta.ResponseEstado;
import ws.sivale.com.mx.messages.response.tarjeta.ResponseInformacion;
import ws.sivale.com.mx.messages.response.tarjeta.ResponseSaldo;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.6-1b01 
 * Generated source version: 2.2
 * 
 */
@WebService(name = "ServiciosTarjetaType", targetNamespace = "http://mx.com.sivale.ws/exposition/servicios/tarjeta")
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
@XmlSeeAlso({
    ws.sivale.com.mx.messages.response.tarjeta.ObjectFactory.class,
    ws.sivale.com.mx.messages.types.ObjectFactory.class,
    ws.sivale.com.mx.exposition.servicios.tarjeta.ObjectFactory.class,
    ws.sivale.com.mx.messages.request.tarjeta.ObjectFactory.class,
    ws.sivale.com.mx.messages.response.ObjectFactory.class
})
public interface ServiciosTarjetaType {


    /**
     * 
     * @param bloquearTemporalRequest
     * @return
     *     returns ws.sivale.com.mx.messages.response.tarjeta.ResponseEstado
     */
    @WebMethod(action = "urn:bloquearTemporal")
    @WebResult(name = "bloquearTemporalResponse", targetNamespace = "http://mx.com.sivale.ws/exposition/servicios/tarjeta", partName = "bloquearTemporalResponse")
    ResponseEstado bloquearTemporal(
            @WebParam(name = "bloquearTemporalRequest", targetNamespace = "http://mx.com.sivale.ws/exposition/servicios/tarjeta", partName = "bloquearTemporalRequest")
                    RequestBase bloquearTemporalRequest);

    /**
     * 
     * @param consultarDatosRequest
     * @return
     *     returns ws.sivale.com.mx.messages.response.tarjeta.ResponseDatos
     */
    @WebMethod(action = "urn:consultarDatos")
    @WebResult(name = "consultarDatosResponse", targetNamespace = "http://mx.com.sivale.ws/exposition/servicios/tarjeta", partName = "consultarDatosResponse")
    ResponseDatos consultarDatos(
            @WebParam(name = "consultarDatosRequest", targetNamespace = "http://mx.com.sivale.ws/exposition/servicios/tarjeta", partName = "consultarDatosRequest")
                    RequestBase consultarDatosRequest);

    /**
     * 
     * @param desbloquearTemporalRequest
     * @return
     *     returns ws.sivale.com.mx.messages.response.tarjeta.ResponseEstado
     */
    @WebMethod(action = "urn:desbloquearTemporal")
    @WebResult(name = "desbloquearTemporalResponse", targetNamespace = "http://mx.com.sivale.ws/exposition/servicios/tarjeta", partName = "desbloquearTemporalResponse")
    ResponseEstado desbloquearTemporal(
            @WebParam(name = "desbloquearTemporalRequest", targetNamespace = "http://mx.com.sivale.ws/exposition/servicios/tarjeta", partName = "desbloquearTemporalRequest")
                    RequestBase desbloquearTemporalRequest);

    /**
     * 
     * @param consultarInformacionRequest
     * @return
     *     returns ws.sivale.com.mx.messages.response.tarjeta.ResponseInformacion
     */
    @WebMethod(action = "consultarInformacion")
    @WebResult(name = "consultarInformacionResponse", targetNamespace = "http://mx.com.sivale.ws/exposition/servicios/tarjeta", partName = "consultarInformacionResponse")
    ResponseInformacion consultarInformacion(
            @WebParam(name = "consultarInformacionRequest", targetNamespace = "http://mx.com.sivale.ws/exposition/servicios/tarjeta", partName = "consultarInformacionRequest")
                    RequestBase consultarInformacionRequest);

    /**
     * 
     * @param consultarEstadoRequest
     * @return
     *     returns ws.sivale.com.mx.messages.response.tarjeta.ResponseEstado
     */
    @WebMethod(action = "urn:consultarEstado")
    @WebResult(name = "consultarEstadoResponse", targetNamespace = "http://mx.com.sivale.ws/exposition/servicios/tarjeta", partName = "consultarEstadoResponse")
    ResponseEstado consultarEstado(
            @WebParam(name = "consultarEstadoRequest", targetNamespace = "http://mx.com.sivale.ws/exposition/servicios/tarjeta", partName = "consultarEstadoRequest")
                    RequestBase consultarEstadoRequest);

    /**
     * 
     * @param consultarMovimientosRequest
     * @return
     *     returns ws.sivale.com.mx.messages.response.tarjeta.ResponseSaldo
     */
    @WebMethod(action = "urn:consultarMovimientos")
    @WebResult(name = "consultarMovimientosResponse", targetNamespace = "http://mx.com.sivale.ws/exposition/servicios/tarjeta", partName = "consultarMovimientosResponse")
    ResponseSaldo consultarMovimientos(
            @WebParam(name = "consultarMovimientosRequest", targetNamespace = "http://mx.com.sivale.ws/exposition/servicios/tarjeta", partName = "consultarMovimientosRequest")
                    RequestMovimientos consultarMovimientosRequest);

    /**
     * 
     * @param consultarSaldoRequest
     * @return
     *     returns ws.sivale.com.mx.messages.response.tarjeta.ResponseSaldo
     */
    @WebMethod(action = "urn:consultarSaldo")
    @WebResult(name = "consultarSaldoResponse", targetNamespace = "http://mx.com.sivale.ws/exposition/servicios/tarjeta", partName = "consultarSaldoResponse")
    ResponseSaldo consultarSaldo(
            @WebParam(name = "consultarSaldoRequest", targetNamespace = "http://mx.com.sivale.ws/exposition/servicios/tarjeta", partName = "consultarSaldoRequest")
                    RequestBase consultarSaldoRequest);

    /**
     * 
     * @param cambiarEstadoRequest
     * @return
     *     returns ws.sivale.com.mx.messages.response.tarjeta.ResponseEstado
     */
    @WebMethod(action = "urn:cambiarEstado")
    @WebResult(name = "cambiarEstadoResponse", targetNamespace = "http://mx.com.sivale.ws/exposition/servicios/tarjeta", partName = "cambiarEstadoResponse")
    ResponseEstado cambiarEstado(
            @WebParam(name = "cambiarEstadoRequest", targetNamespace = "http://mx.com.sivale.ws/exposition/servicios/tarjeta", partName = "cambiarEstadoRequest")
                    RequestEstado cambiarEstadoRequest);

    /**
     * 
     * @param validarCodigoRequest
     * @return
     *     returns ws.sivale.com.mx.messages.response.tarjeta.ResponseEstado
     */
    @WebMethod(action = "urn:validarCodigo")
    @WebResult(name = "validarCodigoResponse", targetNamespace = "http://mx.com.sivale.ws/exposition/servicios/tarjeta", partName = "validarCodigoResponse")
    ResponseEstado validarCodigo(
            @WebParam(name = "validarCodigoRequest", targetNamespace = "http://mx.com.sivale.ws/exposition/servicios/tarjeta", partName = "validarCodigoRequest")
                    RequestValidarCodigo validarCodigoRequest);

}
